summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJan Vesely <jano.vesely@gmail.com>2018-09-16 11:01:32 -0400
committerMichał Górny <mgorny@gentoo.org>2018-09-16 19:04:39 +0200
commitf337fc8751de6b1b3869a94f8e0a916f6da78c14 (patch)
treeb86896c20c37dca4eb1294a73b10a36ce069d6d3
parentwww-client/chromium: depend on >=net-libs/nodejs-7.6.0 (diff)
downloadgentoo-f337fc8751de6b1b3869a94f8e0a916f6da78c14.tar.gz
gentoo-f337fc8751de6b1b3869a94f8e0a916f6da78c14.tar.bz2
gentoo-f337fc8751de6b1b3869a94f8e0a916f6da78c14.zip
dev-libs/libclc: Bump snapshot to 20180915.
Signed-off-by: Jan Vesely <jano.vesely@gmail.com>
-rw-r--r--dev-libs/libclc/Manifest1
-rw-r--r--dev-libs/libclc/libclc-0.2.0_pre20180915.ebuild83
2 files changed, 84 insertions, 0 deletions
diff --git a/dev-libs/libclc/Manifest b/dev-libs/libclc/Manifest
index f6fb7c25163..9ddddd29747 100644
--- a/dev-libs/libclc/Manifest
+++ b/dev-libs/libclc/Manifest
@@ -1,2 +1,3 @@
DIST libclc-0.2.0_pre20180319.tar.gz 161608 BLAKE2B b8e4f2d475c0425cbe5b41a5ba3b7b40d14c045f5c23d007e87cdfedc7a01a8317218e5f3b881e944256f04b9fb68a130bff2a137e51cb961b3d5bb7f2e2261d SHA512 5a4130eeb416f90901b66708adc17c825baa757d00d983a12e217f36503e4ed5d208f3a49cc26d7f9b71134ee3d258748153bf52cf7769bcbc06ec0510087a36
DIST libclc-0.2.0_pre20180610.tar.gz 170102 BLAKE2B 3f8c33a9961db34e68cebc328a88a71173000972b5540d099fa79fe89fd186b7f2f8791a86b45b1be135383d26a92fd4ccdc2827b5620b5f86f0b48467fc092f SHA512 0c75c3e7b81754c175c5c43614ad313cda2fa09a1865794c904675b8d2527f78ffa357178f7d4a471b52ac3d7d96b0184303439b69060df4bf482a01871fcb95
+DIST libclc-0.2.0_pre20180915.tar.gz 170385 BLAKE2B 43a90347936be5ad383fe4e4b06523aac455596d6cb1fc58038811ea19b4f6ab2091ffc345e68ff2ad7f7f1615713085000711b31b9d1ad3911a85bc0db93d5b SHA512 5b8e68f7683d72390d8f9c263e15a54b4b4613b73eff2bf3881d7a35d6480468693a62dcaed159fd8421ae80768d6aaebcd6c33163b082c0a2cf15581d37dcab
diff --git a/dev-libs/libclc/libclc-0.2.0_pre20180915.ebuild b/dev-libs/libclc/libclc-0.2.0_pre20180915.ebuild
new file mode 100644
index 00000000000..014415e2850
--- /dev/null
+++ b/dev-libs/libclc/libclc-0.2.0_pre20180915.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+EGIT_REPO_URI="https://llvm.org/git/${PN}.git
+ https://github.com/llvm-mirror/${PN}.git"
+EGIT_COMMIT="dabae5a2afb78cba0320a86e3f5f0b5dc83e077c"
+
+if [[ ${PV} = 9999* ]]; then
+ GIT_ECLASS="git-r3"
+ EXPERIMENTAL="true"
+else
+ GIT_ECLASS=""
+ S="${WORKDIR}/libclc-${EGIT_COMMIT}"
+fi
+
+inherit llvm prefix python-any-r1 toolchain-funcs ${GIT_ECLASS}
+
+DESCRIPTION="OpenCL C library"
+HOMEPAGE="http://libclc.llvm.org/"
+
+if [[ ${PV} = 9999* ]]; then
+ SRC_URI="${SRC_PATCHES}"
+else
+ SRC_URI="https://github.com/llvm-mirror/libclc/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
+ ${SRC_PATCHES}"
+fi
+
+LICENSE="|| ( MIT BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE_VIDEO_CARDS="video_cards_nvidia video_cards_r600 video_cards_radeonsi"
+IUSE="${IUSE_VIDEO_CARDS}"
+REQUIRED_USE="|| ( ${IUSE_VIDEO_CARDS} )"
+
+DEPEND="
+ || (
+ sys-devel/clang:7
+ sys-devel/clang:6
+ sys-devel/clang:5
+ sys-devel/clang:4
+ >=sys-devel/clang-3.9:0
+ )
+ ${PYTHON_DEPS}"
+
+LLVM_MAX_SLOT=7
+
+llvm_check_deps() {
+ has_version "sys-devel/clang:${LLVM_SLOT}"
+}
+
+src_prepare() {
+ default
+ if use prefix; then
+ hprefixify configure.py
+ fi
+}
+
+pkg_setup() {
+ # we do not need llvm_pkg_setup
+ python-any-r1_pkg_setup
+}
+
+src_configure() {
+ local libclc_targets=()
+
+ use video_cards_nvidia && libclc_targets+=("nvptx--" "nvptx64--" "nvptx--nvidiacl" "nvptx64--nvidiacl")
+ use video_cards_r600 && libclc_targets+=("r600--")
+ use video_cards_radeonsi && libclc_targets+=("amdgcn--" "amdgcn-mesa-mesa3d" "amdgcn--amdhsa")
+
+ [[ ${#libclc_targets[@]} ]] || die "libclc target missing!"
+
+ ./configure.py \
+ --with-cxx-compiler="$(tc-getCXX)" \
+ --with-llvm-config="$(get_llvm_prefix "${LLVM_MAX_SLOT}")/bin/llvm-config" \
+ --prefix="${EPREFIX}/usr" "${libclc_targets[@]}" || die
+}
+
+src_compile() {
+ emake VERBOSE=1
+}